Package com.databricks.jdbc.core

## Class ArrowResultChunk.ArrowResultChunkIterator

- java.lang.Object
- - com.databricks.jdbc.core.ArrowResultChunk.ArrowResultChunkIterator

Enclosing class:
  ArrowResultChunk

    public static class ArrowResultChunk.ArrowResultChunkIterator
    extends Object

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getColumnObjectAtCurrentRow​(int columnIndex)` Returns object in the current row at the specified columnIndex.
`boolean` `hasNextRow()` Returns whether the next row in the chunk exists.
`boolean` `nextRow()` Moves iterator to the next row of the chunk.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### nextRow

    public boolean nextRow()

Moves iterator to the next row of the chunk. Returns false if it is at the last row in the chunk.

#### hasNextRow

    public boolean hasNextRow()

Returns whether the next row in the chunk exists.

#### getColumnObjectAtCurrentRow

    public Object getColumnObjectAtCurrentRow​(int columnIndex)

Returns object in the current row at the specified columnIndex.